Name:		clc
Version:	0.03
Release:	15%{?dist}
Summary:	Command-line client for MUDs

Group:		Applications/Internet
License:	Public Domain
URL:		http://github.com/elanthis/clc/tree/master
Source0:	http://cloud.github.com/downloads/elanthis/clc/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libtelnet-devel >= 0.20
BuildRequires: ncurses-devel
BuildRequires: zlib-devel

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
Very simplistic MUD client for command line usage.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -DHAVE_ZLIB -DCLC_VERSION='\"%{version}\"'"

%install
rm -rf "%{buildroot}"
install -m 644 -D README "%{buildroot}%{_pkgdocdir}/README"
install -m 755 -D clc "%{buildroot}%{_bindir}/clc"

%clean
rm -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/clc

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 05 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.03-8
- Install docs into %%_pkgdocdir (FTBFS RHBZ#992063).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.03-2
- Rebuilt for gcc bug 634757

* Tue Sep 19 2010 Sean Middleditch <sean@middleditch.us> 0.03-1
- Update to 0.03 release.

* Wed Oct 24 2009 Sean Middleditch <sean@middleditch.us> 0.02-2
- Removed explicit build requires version dependency.

* Wed Sep 29 2009 Sean Middleditch <sean@middleditch.us> 0.02-1
- Update to upstream 0.02 release.
- Explicit version dependency for libtelnet due to unstable API/ABI.

* Wed Sep 12 2009 Sean Middleditch <sean@middleditch.us> 0.01-4
- Rebuild with the proper tarball.
- Included RPM optflags in build.
- Use buildroot macro instead of RPM_BUILD_ROOT variable.

* Wed Sep 12 2009 Sean Middleditch <sean@middleditch.us> 0.01-3
- Added build-requires on zlib-devel and ncurses-devel.

* Wed Sep 04 2009 Sean Middleditch <sean@middleditch.us> 0.01-2
- Fixed source location.

* Wed Aug 29 2009 Sean Middleditch <sean@middleditch.us> 0.01-1
- Initial RPM release.
